import React from "react";
import PropTypes from "prop-types";
import ExceptionsCard from "../exceptions/ExceptionsCard";
import ChangePointsCard from "../changePoints/ChangePointsCard";

const AdvancedSettingsComponent = ({ data }) => {
  const spaceBetweenCards = data && data.exceptions && data.changePoints;
  return (
    <>
      {data && data.exceptions && (
        <ExceptionsCard exceptions={data.exceptions} />
      )}
      {spaceBetweenCards && <br />}

      {data && data.changePoints && (
        <ChangePointsCard changePoints={data.changePoints} />
      )}
    </>
  );
};

AdvancedSettingsComponent.propTypes = {
  data: PropTypes.object
};

export default AdvancedSettingsComponent;
